package com.ruoyi.project.pssr.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * PSSR对象 t_pssr_aboveall
 *
 * @author ssy
 * @date 2024-09-18
 */
public class TPssrAboveall extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 审批id */
    @Excel(name = "审批id")
    private Long approveId;

    /** 区域 */
    @Excel(name = "区域")
    private String region;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;

    /** 单元 */
    @Excel(name = "单元")
    private String unit;

    /**单元说明*/
    private String unitDes;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirm;
    private String confirmName;

    /** 确认时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "确认时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date confirmationDate;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;
    
    private String deptName;

    private Long plantMgr;//装置经理
    private Long ctaMgr;//CTA经理
    private Long ctmMgr;//CTM经理
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date plantConfirmdate;
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date ctaConfirmdate;
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date ctmConfirmdate;

    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date drivingTime;

    private String zipUrl;

    public String getZipUrl() {
        return zipUrl;
    }

    public void setZipUrl(String zipUrl) {
        this.zipUrl = zipUrl;
    }

    public String getConfirmName() {
        return confirmName;
    }

    public void setConfirmName(String confirmName) {
        this.confirmName = confirmName;
    }

    public Date getDrivingTime() {
        return drivingTime;
    }

    public void setDrivingTime(Date drivingTime) {
        this.drivingTime = drivingTime;
    }

    public Long getPlantMgr() {
        return plantMgr;
    }

    public void setPlantMgr(Long plantMgr) {
        this.plantMgr = plantMgr;
    }

    public Long getCtaMgr() {
        return ctaMgr;
    }

    public void setCtaMgr(Long ctaMgr) {
        this.ctaMgr = ctaMgr;
    }

    public Long getCtmMgr() {
        return ctmMgr;
    }

    public void setCtmMgr(Long ctmMgr) {
        this.ctmMgr = ctmMgr;
    }

    public Date getPlantConfirmdate() {
        return plantConfirmdate;
    }

    public void setPlantConfirmdate(Date plantConfirmdate) {
        this.plantConfirmdate = plantConfirmdate;
    }

    public Date getCtaConfirmdate() {
        return ctaConfirmdate;
    }

    public void setCtaConfirmdate(Date ctaConfirmdate) {
        this.ctaConfirmdate = ctaConfirmdate;
    }

    public Date getCtmConfirmdate() {
        return ctmConfirmdate;
    }

    public void setCtmConfirmdate(Date ctmConfirmdate) {
        this.ctmConfirmdate = ctmConfirmdate;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    private Long includePublic;

    private List<TPssrSubcontent> subcontents;

    public String getUnitDes() {
        return unitDes;
    }

    public void setUnitDes(String unitDes) {
        this.unitDes = unitDes;
    }

    public List<TPssrSubcontent> getSubcontents() {
        return subcontents;
    }

    public void setSubcontents(List<TPssrSubcontent> subcontents) {
        this.subcontents = subcontents;
    }

    public Long getIncludePublic() {
        return includePublic;
    }

    public void setIncludePublic(Long includePublic) {
        this.includePublic = includePublic;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setApproveId(Long approveId)
    {
        this.approveId = approveId;
    }

    public Long getApproveId()
    {
        return approveId;
    }
    public void setRegion(String region)
    {
        this.region = region;
    }

    public String getRegion()
    {
        return region;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setUnit(String unit)
    {
        this.unit = unit;
    }

    public String getUnit()
    {
        return unit;
    }
    public void setConfirm(String confirm)
    {
        this.confirm = confirm;
    }

    public String getConfirm()
    {
        return confirm;
    }
    public void setConfirmationDate(Date confirmationDate)
    {
        this.confirmationDate = confirmationDate;
    }

    public Date getConfirmationDate()
    {
        return confirmationDate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("approveId", getApproveId())
            .append("region", getRegion())
            .append("approveStatus", getApproveStatus())
            .append("unit", getUnit())
            .append("confirm", getConfirm())
            .append("confirmationDate", getConfirmationDate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
